Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Classes | Static Public Member Functions | Static Public Attributes | List of all members
com.tritondigital.ads.Ad Class Reference

Advertisement bundle keys. More...

## Static Public Member Functions
static void | trackImpression (Bundle ad)
| Tracks the ad impression.
static void | trackVideoClick (Bundle ad)
| Tracks the clicks on a video ad.

## Static Public Attributes
static final String | BANNERS = "banners"
| Bundle Array List - Companion banners.
static final String | IMPRESSION_TRACKING_URLS = "impression_tracking_urls"
| String Array List - URLs to connect to when main creative playback has started
static final String | DURATION = "duration"
| String - The main creative's duration in HH:MM:SS.mmm or HH:MM:SS format
static final String | MIME_TYPE = "mime_type"
| String - The main creative's MIME type
static final String | URL = "url"
| String - The main creative's URL
static final String | HTML = "html"
| String - The main creative's raw HTML
static final String | WIDTH = "width"
| int - The main creative's width
static final String | HEIGHT = "height"
| int - The main creative's height
static final String | TITLE = "title"
| String - The ad's title
static final String | FORMAT = "format"
| String - The ad's format: eg: VAST or DAAST
static final String | COMPANION_CLICK_THROUGH_URL = "companion_click_through_url"
| String - URL to launch in the browser when the static ad has been clicked
static final String | VIDEO_CLICK_THROUGH_URL = "video_click_through_url"
| String - URL to launch in the browser when the video has been clicked
static final String | VIDEO_CLICK_TRACKING_URLS = "video_click_tracking_urls"
| String Array List - URLs to connect to when a video has been clicked
static final String | VAST_AD_TAG = "VASTAdTagURI"
| _String _ - URI element in VAST Wrapper
static final String | ERROR_URL = "error_url"
| String - The main creative's URL
static final String | ENABLE_COUNTDOWN_DISPLAY = "enable_countdown_display"
| String - Display the countdown timer on the interstitial ad

## Detailed Description

Advertisement bundle keys.

Note
  This class is only useful for applications doing their own layout for on-demand advertisements.

## Member Function Documentation

## ◆ trackImpression()

static void com.tritondigital.ads.Ad.trackImpression | ( | Bundle | ad | ) |
| static

Tracks the ad impression.

To be used only with on-demand ads when an application takes care of playing the audio or video.

## ◆ trackVideoClick()

static void com.tritondigital.ads.Ad.trackVideoClick | ( | Bundle | ad | ) |
| static

Tracks the clicks on a video ad.

To be used only with on-demand ads when an application takes care of playing video.

## Member Data Documentation

## ◆ BANNERS

final String com.tritondigital.ads.Ad.BANNERS = "banners"
| static

Bundle Array List - Companion banners.

Available keys for each banners are Ad.URL, Ad.WIDTH and Ad.HEIGHT

The documentation for this class was generated from the following file:

- ads/src/main/java/com/tritondigital/ads/Ad.java